net.minecraft.world.gen.layer

## Class GenLayer

- java.lang.Object
- - net.minecraft.world.gen.layer.GenLayer

- Direct Known Subclasses:
    GenLayerAddIsland, GenLayerAddMushroomIsland, GenLayerAddSnow, GenLayerBiome, GenLayerBiomeEdge, GenLayerDeepOcean, GenLayerEdge, GenLayerHills, GenLayerIsland, GenLayerRareBiome, GenLayerRemoveTooMuchOcean, GenLayerRiver, GenLayerRiverInit, GenLayerRiverMix, GenLayerShore, GenLayerSmooth, GenLayerVoronoiZoom, GenLayerZoom

      public abstract class GenLayer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `baseSeed`
    `protected GenLayer` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenLayer(long par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `compareBiomesById(int p_151616_0_, int p_151616_1_)`
    `abstract int[]` | `getInts(int var1, int var2, int var3, int var4)`
    `static byte` | `getModdedBiomeSize(WorldType worldType, byte original)`
    `void` | `initChunkSeed(long par1, long par3)`
    `static GenLayer[]` | `initializeAllBiomeGenerators(long par0, WorldType par2WorldType)`
    `void` | `initWorldGenSeed(long par1)`
    `protected static boolean` | `isBiomeOceanic(int p_151618_0_)`
    `protected int` | `nextInt(int par1)`
    `protected long` | `nextLong(long par1)`
    `protected int` | `selectModeOrRandom(int p_151617_1_, int p_151617_2_, int p_151617_3_, int p_151617_4_)`
    `protected int` | `selectRandom(int... p_151619_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected GenLayer parent

    - #### baseSeed

          protected long baseSeed

  - ### Constructor Detail

    - #### GenLayer

          public GenLayer(long par1)

  - ### Method Detail

    - #### initializeAllBiomeGenerators

          public static GenLayer[] initializeAllBiomeGenerators(long par0,
                                                WorldType par2WorldType)

    - #### initWorldGenSeed

          public void initWorldGenSeed(long par1)

    - #### initChunkSeed

          public void initChunkSeed(long par1,
                           long par3)

    - #### nextInt

          protected int nextInt(int par1)

    - #### nextLong

          protected long nextLong(long par1)

    - #### getInts

          public abstract int[] getInts(int var1,
                      int var2,
                      int var3,
                      int var4)

    - #### compareBiomesById

          protected static boolean compareBiomesById(int p_151616_0_,
                                  int p_151616_1_)

    - #### isBiomeOceanic

          protected static boolean isBiomeOceanic(int p_151618_0_)

    - #### selectRandom

          protected int selectRandom(int... p_151619_1_)

    - #### selectModeOrRandom

          protected int selectModeOrRandom(int p_151617_1_,
                               int p_151617_2_,
                               int p_151617_3_,
                               int p_151617_4_)

    - #### getModdedBiomeSize

          public static byte getModdedBiomeSize(WorldType worldType,
                                byte original)